Skip to navigation

Create guarantor

Creates a new guarantor and returns the newly created Guarantor object.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Path parameters

encounter_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
addressobjectRequired
external_idstringRequired
first_namestringRequired
last_namestringRequired
date_of_birthdate or nullOptional
emailstring or nullOptional
phone_numberslist of objects or nullOptional

Response

addressobject
external_idstring
first_namestring
guarantor_idstringformat: "uuid"
last_namestring
phone_numberslist of objects
date_of_birthdate or nullOptional
emailstring or nullOptional

Errors

409
Conflict Error
422
Unprocessable Entity Error